/*****************************************************************************/
/*
 *      playlistcb.h -- playlist GTK+ callbacks
 *
 *      Copyright (C) 2001-2002 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/
#ifndef __PLAYLISTCB_H__
#define __PLAYLISTCB_H__

void button_add_clicked( gpointer );

void button_clear_selected_clicked( gpointer);

void button_clear_clicked( gpointer );

void button_hide_show_clicked( gpointer );

void selection_made( GtkWidget *, gint, gint,
		     GdkEventButton *, gpointer);
void unselection_made( GtkWidget *, gint, gint,
		     GdkEventButton *, gpointer);
void playlist_clear();
void playlist_add(gchar *);
void playlistwin_prepare_to_update();
void playlistwin_update_list();
void playlist_play();
gint playlist_next(INFO *);

void gtk_destroy_playlist_file_selector(GtkWidget  *, gpointer);
void get_playlist_file_selector(gboolean);
gboolean file_ok_save_sel(GtkWidget *, gpointer);
gboolean file_ok_open_sel(GtkWidget *, gpointer);
gboolean load_playlist_file_clicked_cb(GtkWidget *, gpointer);
gboolean save_playlist_file_clicked_cb(GtkWidget *, gpointer);

#endif /* PLAYLISTCB_H */
